# 3. Use Tailwind for CSS

Date: 2024-03-21

## Status

Proposed



## Context

We need to style our pages to make them look good.

Previously, I've used vanilla CSS, but that can get unwieldy and inconsistent. Here, a unified approach and one that can draw inspiration from other places (including purchasing component galleries) would be beneficial.


## Decision

We're going to use Tailwind CSS, and potentially Tailwind UI, to style the project.


## Consequences

This means that we will have a higher upfront cost to learn some of the Tailwind ways of doing things.

It also means that long-term it's easier to get help from people, and look at how some of the other projects I have interacted with do things if they are using Tailwind.

There is not much risk of lock-in here, because I can stop using Tailwind and go back to vanilla CSS fairly easily.
