pub mod home;
pub mod login;

use axum::http::StatusCode;
use axum::response::Response;
pub use login::login_page;
pub use login::login_submit;

pub fn internal_server_error() -> Response {
    Response::builder()
        .status(StatusCode::INTERNAL_SERVER_ERROR)
        .body("Internal Server Error".into())
        .unwrap()
}
